﻿using System.Collections.Generic;
using HeuristicLab.Collections;
using HeuristicLab.Core;

namespace HeuristicLab.Clients.Hive {
  public interface IItemTree<T> : INamedItem, INotifyObservableCollectionItemsChanged<IItemTree<T>> where T : IItemTree<T> {
    IEnumerable<IItemTree<T>> GetChildItems();
    ICollection<IItemTreeNodeAction<T>> Actions { get; }
  }
}
